/*====================================================================

This file was produced by the OpenCCM CIF_JIMPL generator.

OpenCCM: The Open CORBA Component Model Platform
Copyright (C) 2000-2003 INRIA - USTL - LIFL - GOAL
Contact: openccm@objectweb.org

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA

Initial developer(s): Christophe Demarey.
Contributor(s): ______________________________________.

====================================================================*/

package ist.coach.coachEmfClientComponents.ManagedObjectClientComposition;

import java.text.DateFormat;
import ist.coach.coachEmfCommon.Utils;

/**
 *  This is the CIDL-based implementation of the
 *  OMG IDL3 CIDL:coach.ist/coachEmfClientComponents/ManagedObjectClientComposition/ManagedObjectClientHome_impl/ManagedObjectClient_impl/objectCreationSeg:1.0 segment type.
 *
 *  @author OpenCCM CIF_Jimpl Compiler.
 */
public class objectCreationSegImpl
     extends ist.coach.coachEmfClientComponents.ManagedObjectClientComposition.objectCreationSeg
{
    // ==================================================================
    //
    // Internal states.
    //
    // ==================================================================

    // ==================================================================
    //
    // Constructors.
    //
    // ==================================================================

    public objectCreationSegImpl()
    {

    }

    // ==================================================================
    //
    // Methods.
    //
    // ==================================================================

    /**
     * Implementation of the ::itut_q816Components::CCM_ObjectCreationConsumer::push operation.
     */
    public void
    push(ist.coach.itut_q816Components.ObjectCreation event)
    {
	/*************************
	    System.err.println("---->ObjectCreation received: ");
		System.err.println("Source Object Name = " + Utils.name2string(event.source));
		System.err.println("Source Object Type = " + event.sourceClass);
		System.err.println("Notification Id = " + String.valueOf(
					event.notificationIdentifier));
		System.err.println("Time = " + String.valueOf(event.eventTime.time));
********************************/
		java.util.Date event_date = new java.util.Date(event.eventTime.time);
		DateFormat df = DateFormat.getDateTimeInstance(DateFormat.DEFAULT, DateFormat.DEFAULT);
		String time_str = df.format(event_date);

		ManagedObjectClientImpl main_segment = (ManagedObjectClientImpl) get_main_segment();
		main_segment.ui_client.print_alarm(time_str,
				ist.coach.coachEmfClientComponents.gui.GuiMessages.object_creation_alarm,
				Utils.name2string(event.source), event.sourceClass,
				String.valueOf(event.notificationIdentifier), " ");
    }

}
