/*====================================================================

Copyright (C) 2002 INTRACOM/COACH Project
Contact: fset@intracom.gr

Initial developer(s): Fofy Setaki.
Contributor(s): ______________________________________.

====================================================================*/

package ist.coach.coachEmfCommon;
import intt.itu.itut_x780.*;

/**
 * This is the implementation of the OMG IDL3
 *  itut_x780Components::ApplicationErrorInfoType valuetype. 
 */

public class ApplicationErrorInfoTypeImpl
extends ApplicationErrorInfoType {

    // ==================================================================
    //
    // Constructor.
    //
    // ==================================================================

    /** The default constructor. */
    public ApplicationErrorInfoTypeImpl() {

		 this.error = new UIDType();
		 this.details = new String();
	}
	
    /**
     * The constructor.
     *
     * @param source Object emitting notification.
     * @param sourceClass      Actual class of source object.
	 */
	public ApplicationErrorInfoTypeImpl(UIDType error,
							String details) {
		
		this.error = error;
		this.details = details;
	}
}


