/*====================================================================

created on 2 juil. 2003
OpenCCM: The Open CORBA Component Model Platform
Copyright (C) 2001-2002 USTL - LIFL - GOAL
Contact: openccm-team@objectweb.org

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA

Initial developer(s): Hameau Fabien.
Contributor(s): ______________________________________.

*/

package org.objectweb.corba.generator.metainformation.api;

import org.objectweb.corba.ast.api.Scope;
import org.objectweb.corba.generator.common.api.GeneratorBase;


/**
 * @author hameau
 *
 * This interface is related to the java type 
 * Metainformation implementations that should 
 * be generated from the IDL3 declaration.   
 */


public interface IDL_JavaMIGenerator
extends GeneratorBase
{
  void idl_to_java(String outputDir, Scope scope)
  throws org.objectweb.corba.generator.common.lib.GenerationException;
}
