/*===========================================================================

ObjectWeb Naming Context Framework 
Copyright (C) 2002 USTL - LIFL - GOAL
Contact: architecture@objectweb.org

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA

Initial developer(s): Jrme Moroy.
Contributor(s):  ______________________________________.

===========================================================================*/

package org.objectweb.util.browser.gui.panel;

/** To use the TreeHandling interface */
import org.objectweb.util.browser.api.TreeHandling;

/** To use the TreeView class */
import org.objectweb.util.browser.gui.common.TreeView;

/** To use the JPanel class */
import javax.swing.JPanel;

/**
 * This class defines all the things the Panel needs to manipulate the tree
 *
 * @author <a href="mailto:Jerome.Moroy@lifl.fr">Jerome Moroy</a>
 * @version 0.1
 */
public abstract class NodeViewPanel
    extends JPanel
    implements TreeHandling{
    
}




