package ist.coach.coachEmfCommon;

/**
 * @author Administrator (digi@intracom.gr)
 *
 * Copyright (c) Intracom S.A., N.T., 2003
 */

import org.omg.CORBA.TCKind;
import ist.coach.coachEmfServices.SnmpAdapter.DataType;

public class DataTypeImpl extends DataType {

	public DataTypeImpl() {}

	public DataTypeImpl(String identifier_, org.omg.CORBA.Any value_) {

		identifier = identifier_;
		value = value_;
	}

	public DataTypeImpl(String identifier_, org.omg.CORBA.Any value_, byte code_) {

			identifier = identifier_;
			value = value_;
			code = code_;
		}

	public void print() {

		System.err.print("[Identifier: " + this.identifier +
			", value: ");
		if (this.value != null) {
			switch (this.value.type().kind().value()) {

				case TCKind._tk_long:
					System.err.println(this.value.extract_long() + "], (long)");
					break;
				case TCKind._tk_longlong:
					System.err.println(this.value.extract_longlong() + "], (longlong)");
					break;
				case TCKind._tk_short:
					System.err.println(this.value.extract_short() + "], (short)");
					break;
				case TCKind._tk_string:
					System.err.println(this.value.extract_string() + "], (string)");
					break;
				default:
				    break;
					//System.err.println(" Unknown]");

			}
			if (this.value.type().kind().value() == org.omg.CORBA.OctetSeqHelper.type().kind().value())
			  System.err.println(new String(org.omg.CORBA.OctetSeqHelper.extract(value)) +
					 "], (byte[])");
		}
		else
			System.err.println("Null");

	}
}
