package ist.coach.coachEmsCommon;

import ist.coach.coachEmsMib.IpNodeValueType;
import intt.itu.itut_x780.AdministrativeStateType;
import intt.itu.itut_x780.OperationalStateType;
import intt.itu.itut_x780.UsageStateType;
import intt.itu.itut_x780.SourceIndicatorType;

import org.omg.CosNaming.NameComponent;
/**
 * @author Administrator (digi@intracom.gr)
 *
 * Copyright (c) Intracom S.A., N.T., 2003
 */

public class IpNodeValueTypeImpl extends IpNodeValueType {
    
	public IpNodeValueTypeImpl() {}
    
	public IpNodeValueTypeImpl(
	/* inherited from ManagedElementValueType */
		AdministrativeStateType administrativeState,
		OperationalStateType operationalState,
		UsageStateType usageState,
		String userLabel,
		String vendorName,
		String version,
		String locationName,
		
		String domainName,
		String hostname,
		byte[] managementIPAddress,
		int supportedSnmpVersions,
		int snmpPort,
		int ifNumber,
		String sysDescr,
		String sysObjectID,
		long sysUpTime,
		String sysContact,
		String sysName,
		short sysServices,
		
		/* inherited from ManagedObjectValueType */
		NameComponent [] name,
		String objectClass,
		String []  packages,
		SourceIndicatorType creationSource,
		short deletePolicy
		) {
			
			
		this.administrativeState = administrativeState;
		this.operationalState = operationalState;
		this.usageState = usageState;
		this.userLabel = userLabel;
		this.vendorName = vendorName;
		this.version = version;
		this.locationName = locationName;
		this.domainName = domainName;
		this.hostname = hostname;
		this.managementIPAddress = managementIPAddress;
		this.supportedSnmpVersions = supportedSnmpVersions;
		this.snmpPort = snmpPort;
		this.ifNumber = ifNumber;
		this.sysDescr = sysDescr;
		this.sysObjectID = sysObjectID;
		this.sysUpTime = sysUpTime;
		this.sysContact = sysContact;
		this.sysName = sysName;
		this.sysServices = sysServices;
		this.name = name;
		this.objectClass = objectClass;
		this.packages = packages;
		this.creationSource = creationSource;
		this.deletePolicy = deletePolicy;
    	
		}
}

