/*====================================================================

created on 20 mars 2003

OpenCCM: The Open CORBA Component Model Platform
Copyright (C) 2001-2002 USTL - LIFL - GOAL
Contact: openccm-team@objectweb.org

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA

Initial developer(s): Hameau Fabien.
Contributor(s): ______________________________________.

*/

package org.objectweb.ccm.Containers.MetaInformation;

/**
 * @author hameau
 */
public class ReceptaclePortTypeImpl
extends PortTypeImpl
implements ReceptaclePortType {

	protected String  _receptacle_port_instance_factory_entrypt;
	protected int     _max_connections;
	protected boolean _is_multiple;
    protected InterfaceType _interface_type;

    

	/* (non-Javadoc)
	 * @see org.objectweb.ccm.Containers.ReceptaclePortTypeOperations#receptacle_port_instance_factory_entrypt()
	 */
	public String receptacle_port_instance_factory_entrypt() {
		
		return _receptacle_port_instance_factory_entrypt;
	}

	/* (non-Javadoc)
	 * @see org.objectweb.ccm.Containers.MetaInformation.ReceptaclePortTypeOperations#is_multiple()
	 */
	public boolean is_multiple() {
			return _is_multiple;
	}



	/* (non-Javadoc)
	 * @see org.objectweb.ccm.Containers.MetaInformation.ReceptaclePortTypeOperations#max_connections()
	 */
	public int max_connections() {
		return _max_connections;
	}

  /* (non-Javadoc)
   * @see org.objectweb.ccm.Containers.MetaInformation.ReceptaclePortTypeOperations#interface_type()
   */
  public InterfaceType interface_type()
  {
    // TODO Auto-generated method stub
    return _interface_type;
  }


}
